<?php

namespace Drupal\custom_admin_theme\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\State\StateInterface;


class CustomAdminThemeSettingsForm extends FormBase {

  public function getFormId() {
    return 'custom_admin_theme_settings_form';
  }

  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['custom_theme'] = array(
      '#type' => 'textfield',
      '#title' => $this->t('Custom Theme'),
      '#default_value' => \Drupal::state()->get('custom_admin_theme.custom_theme', ''),
    );
    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Save'),
    ];

    return $form;
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $value = $form_state->getValue('custom_theme');
  
    // Verificar si el campo de texto está vacío
    if (empty($value)) {
      // Eliminar el valor de la variable
      \Drupal::state()->delete('custom_admin_theme.custom_theme');
      $this->messenger()->addMessage($this->t('The custom theme value has been removed.'));
    } else {
      // Guardar el valor en la variable
      \Drupal::state()->set('custom_admin_theme.custom_theme', $value);
      $this->messenger()->addMessage($this->t('The information has been saved correctly.'));
    }
  
    \Drupal::service('library.discovery')->clearCachedDefinitions();
  }
}